#ifndef REGIST_H
#define REGIST_H

#include <QMainWindow>
#include <QSqlDatabase>
#include <QSqlQuery>
#include <QDebug>
#include <QSqlError>

namespace Ui {
class Regist;
}

class Regist : public QMainWindow
{
    Q_OBJECT

public:
    explicit Regist(QWidget *parent = 0);
    ~Regist();

public slots:
    void getdata(QSqlDatabase, QString);
private slots:
    void on_pushButton_clicked();

    void on_goback_clicked();

private:
    Ui::Regist *ui;
    QSqlDatabase db;
    QString tablename;
};

#endif // REGIST_H
